
QGIS Application - Bug report #17137

Parsing some Certificate Authorities causes crash

2017-09-14 01:02 AM - Larry Shaffer

Status: Closed

Priority: High

Assignee:

Category: Authentication system

Affected QGIS version:master Regression?: Yes

Operating System: macOS 10.11.6 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 25036

Description

When parsing some CAs, e.g. when double-clicking for opening Cert Info dialog, immediately causes QGIS to crash with report (see

attached).

Appears to be either a problem with too-new certs to be read by QCA, or the QCA code under Qt5 has a bug that did not present under

Qt4.

History

#1 - 2017-09-14 01:04 AM - Larry Shaffer

- File qgis-issue_17137.txt added

#2 - 2017-09-20 02:24 AM - Larry Shaffer

This happens when the cert's public key algorithm is based upon elliptic curve.

#3 - 2018-02-22 07:43 PM - Giovanni Manghi

- Priority changed from Normal to High

#4 - 2018-09-05 07:06 PM - Denis Rouzaud

- Subject changed from Parsing some Certificate Authorities on macOS causes crash to Parsing some Certificate Authorities causes crash

#5 - 2018-09-18 09:42 AM - Jürgen Fischer

- Assignee deleted (Larry Shaffer)

#6 - 2018-11-08 01:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#7 - 2018-12-27 11:13 AM - Nyall Dawson

- Status changed from Feedback to Closed

Closed due to lack of feedback
#8 - 2018-12-28 03:09 PM - Giovanni Manghi

- Resolution set to no timely feedback

Files

qgis-issue_17137.txt 23.5 KB 2017-09-13 Larry Shaffer
